## javanet.staxutils
Interface StaticLocation

All Superinterfaces:
  Location

All Known Implementing Classes:
  SimpleLocation, UnknownLocation

    public interface StaticLocation

extends Location

Marker interface used to denote `Location` implementations whose state is not transient or dependent on external objects/events and will remain stable unless explicitly updated.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Method Summary

Methods inherited from interface javax.xml.stream.Location
`getCharacterOffset, getColumnNumber, getLineNumber, getPublicId, getSystemId`